CONTENTS OF THIS FILE
---------------------

 * Introduction
 * Installation
 * Workflow
 * Webpack Configuration
 * Maintainers

INTRODUCTION
------------

The Neon Heading module adds animated neon-style headings to CKEditor 5 in Drupal 10. It provides an intuitive interface to create eye-catching titles with various neon color effects.

 * For a full description of the module, visit the project page:
   https://www.drupal.org/project/neon_heading

 * To submit bug reports and feature suggestions, or to track changes:
   https://drupal.org/project/issues/neon_heading

INSTALLATION
------------

 * Install as you would normally install a contributed Drupal module. Visit
   https://www.drupal.org/node/1897420 for further information.

WORKFLOW
---------------

 * Go to Configuration > Text formats and editors
 * Edit your preferred text format
 * Add the "Neon Heading" button to CKEditor toolbar
 * Save the configuration
 * Use the button in your content editor to add neon headings

WEBPACK CONFIGURATION
-------------------

To modify or extend the CKEditor plugin:

1. Install dependencies:
```bash
npm install
```
2. Edit the js files in js/src directory
3. Update the package:
```bash
npm run build
```
4. Clear the cache : 
```bash
drush cr
```

MAINTAINERS
-----------

Current maintainers:

 * Philippe CHARRAT (pcharrat) (https://www.drupal.org/u/pcharrat)